Brains
Record usefulness feedback for a Brain query
POST /v1/brains/query-attempts/{queryAttemptId}/feedback · SDK recordBrainFeedback · CLI deployments brain-feedback create
POST
Requires brains:read.
tenantJwtheader
AuthorizationBearer <token>Tenant JWT carrying organization, project, and environment claims.
queryAttemptId*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLimited to 500 UTF-8 bytes.
Length
1 <= length <= 500application/json- body
feedback?stringLength
length <= 2000usefulness*stringValue in
"harmful""neutral""useful"BrainFeedbackResponse
application/json- response
queryAttemptId*stringMatch
^[0-9A-HJKMNP-TV-Za-hjkmnp-tv-z]{26}$recordedAt*stringusefulness*stringValue in
"harmful""neutral""useful"curl -X POST "https://example.com/v1/brains/query-attempts/string/feedback" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "usefulness": "harmful" }'{ "queryAttemptId": "string", "recordedAt": "string", "usefulness": "harmful"}